WP6GraphicsBoxStylePacket Class Reference documentation

WP6GraphicsBoxStylePacket Class Reference

`#include <WP6GraphicsBoxStylePacket.h>`

Inheritance diagram for WP6GraphicsBoxStylePacket:

## Public Member Functions
| WP6GraphicsBoxStylePacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP6GraphicsBoxStylePacket () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *) const override
unsigned char | getGeneralPositioningFlags () const
unsigned char | getHorizontalPositioningFlags () const
signed short | getHorizontalOffset () const
unsigned char | getLeftColumn () const
unsigned char | getRightColumn () const
unsigned char | getVerticalPositioningFlags () const
signed short | getVerticalOffset () const
unsigned char | getWidthFlags () const
unsigned short | getWidth () const
unsigned char | getHeightFlags () const
unsigned short | getHeight () const
unsigned char | getContentType () const
unsigned short | getNativeWidth () const
unsigned short | getNativeHeight () const
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual std::shared_ptr< WP6SubDocument > | getSubDocument () const
unsigned | getDataSize () const

## Private Member Functions
| WP6GraphicsBoxStylePacket (const WP6GraphicsBoxStylePacket &)
WP6GraphicsBoxStylePacket & | operator= (const WP6GraphicsBoxStylePacket &)

## Private Attributes
bool | m_isLibraryStyle
librevenge::RVNGString | m_boxStyleName
unsigned char | m_generalPositioningFlags
unsigned char | m_horizontalPositioningFlags
signed short | m_horizontalOffset
unsigned char | m_leftColumn
unsigned char | m_rightColumn
unsigned char | m_verticalPositioningFlags
signed short | m_verticalOffset
unsigned char | m_widthFlags
unsigned short | m_width
unsigned char | m_heightFlags
unsigned short | m_height
unsigned char | m_contentType
unsigned char | m_contentHAlign
unsigned char | m_contentVAlign
bool | m_contentPreserveAspectRatio
unsigned short | m_nativeWidth
unsigned short | m_nativeHeight

## Additional Inherited Members
Static Public Member Functions inherited from WP6PrefixDataPacket
static std::shared_ptr< WP6PrefixDataPacket > | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const WP6PrefixIndice &prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

## ◆ WP6GraphicsBoxStylePacket() [1/2]

WP6GraphicsBoxStylePacket::WP6GraphicsBoxStylePacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize )

Referenced by operator=(), and WP6GraphicsBoxStylePacket().

## ◆ ~WP6GraphicsBoxStylePacket()

WP6GraphicsBoxStylePacket::~WP6GraphicsBoxStylePacket | ( |  | ) |
| override

## ◆ WP6GraphicsBoxStylePacket() [2/2]

WP6GraphicsBoxStylePacket::WP6GraphicsBoxStylePacket | ( | const WP6GraphicsBoxStylePacket & |  | ) |
| private

## Member Function Documentation

## ◆ _readContents()

void WP6GraphicsBoxStylePacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overridevirtual

Implements WP6PrefixDataPacket.

## ◆ getContentType()

unsigned char WP6GraphicsBoxStylePacket::getContentType | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

## ◆ getGeneralPositioningFlags()

unsigned char WP6GraphicsBoxStylePacket::getGeneralPositioningFlags | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

## ◆ getHeight()

unsigned short WP6GraphicsBoxStylePacket::getHeight | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

## ◆ getHeightFlags()

unsigned char WP6GraphicsBoxStylePacket::getHeightFlags | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

## ◆ getHorizontalOffset()

signed short WP6GraphicsBoxStylePacket::getHorizontalOffset | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

## ◆ getHorizontalPositioningFlags()

unsigned char WP6GraphicsBoxStylePacket::getHorizontalPositioningFlags | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

## ◆ getLeftColumn()

unsigned char WP6GraphicsBoxStylePacket::getLeftColumn | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

## ◆ getNativeHeight()

unsigned short WP6GraphicsBoxStylePacket::getNativeHeight | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

## ◆ getNativeWidth()

unsigned short WP6GraphicsBoxStylePacket::getNativeWidth | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

## ◆ getRightColumn()

unsigned char WP6GraphicsBoxStylePacket::getRightColumn | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

## ◆ getVerticalOffset()

signed short WP6GraphicsBoxStylePacket::getVerticalOffset | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

## ◆ getVerticalPositioningFlags()

unsigned char WP6GraphicsBoxStylePacket::getVerticalPositioningFlags | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

## ◆ getWidth()

unsigned short WP6GraphicsBoxStylePacket::getWidth | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

## ◆ getWidthFlags()

unsigned char WP6GraphicsBoxStylePacket::getWidthFlags | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

## ◆ operator=()

WP6GraphicsBoxStylePacket & WP6GraphicsBoxStylePacket::operator= | ( | const WP6GraphicsBoxStylePacket & |  | ) |
| private

## ◆ parse()

void WP6GraphicsBoxStylePacket::parse | ( | WP6Listener * |  | ) | const
| inlineoverridevirtual

Reimplemented from WP6PrefixDataPacket.

## Member Data Documentation

## ◆ m_boxStyleName

librevenge::RVNGString WP6GraphicsBoxStylePacket::m_boxStyleName
| private

Referenced by _readContents(), and WP6GraphicsBoxStylePacket().

## ◆ m_contentHAlign

unsigned char WP6GraphicsBoxStylePacket::m_contentHAlign
| private

Referenced by _readContents(), and WP6GraphicsBoxStylePacket().

## ◆ m_contentPreserveAspectRatio

bool WP6GraphicsBoxStylePacket::m_contentPreserveAspectRatio
| private

Referenced by _readContents(), and WP6GraphicsBoxStylePacket().

## ◆ m_contentType

unsigned char WP6GraphicsBoxStylePacket::m_contentType
| private

Referenced by _readContents(), getContentType(), and WP6GraphicsBoxStylePacket().

## ◆ m_contentVAlign

unsigned char WP6GraphicsBoxStylePacket::m_contentVAlign
| private

Referenced by _readContents(), and WP6GraphicsBoxStylePacket().

## ◆ m_generalPositioningFlags

unsigned char WP6GraphicsBoxStylePacket::m_generalPositioningFlags
| private

Referenced by _readContents(), getGeneralPositioningFlags(), and WP6GraphicsBoxStylePacket().

## ◆ m_height

unsigned short WP6GraphicsBoxStylePacket::m_height
| private

Referenced by _readContents(), getHeight(), and WP6GraphicsBoxStylePacket().

## ◆ m_heightFlags

unsigned char WP6GraphicsBoxStylePacket::m_heightFlags
| private

Referenced by _readContents(), getHeightFlags(), and WP6GraphicsBoxStylePacket().

## ◆ m_horizontalOffset

signed short WP6GraphicsBoxStylePacket::m_horizontalOffset
| private

Referenced by _readContents(), getHorizontalOffset(), and WP6GraphicsBoxStylePacket().

## ◆ m_horizontalPositioningFlags

unsigned char WP6GraphicsBoxStylePacket::m_horizontalPositioningFlags
| private

Referenced by _readContents(), getHorizontalPositioningFlags(), and WP6GraphicsBoxStylePacket().

## ◆ m_isLibraryStyle

bool WP6GraphicsBoxStylePacket::m_isLibraryStyle
| private

Referenced by _readContents(), and WP6GraphicsBoxStylePacket().

## ◆ m_leftColumn

unsigned char WP6GraphicsBoxStylePacket::m_leftColumn
| private

Referenced by _readContents(), getLeftColumn(), and WP6GraphicsBoxStylePacket().

## ◆ m_nativeHeight

unsigned short WP6GraphicsBoxStylePacket::m_nativeHeight
| private

Referenced by _readContents(), getNativeHeight(), and WP6GraphicsBoxStylePacket().

## ◆ m_nativeWidth

unsigned short WP6GraphicsBoxStylePacket::m_nativeWidth
| private

Referenced by _readContents(), getNativeWidth(), and WP6GraphicsBoxStylePacket().

## ◆ m_rightColumn

unsigned char WP6GraphicsBoxStylePacket::m_rightColumn
| private

Referenced by _readContents(), getRightColumn(), and WP6GraphicsBoxStylePacket().

## ◆ m_verticalOffset

signed short WP6GraphicsBoxStylePacket::m_verticalOffset
| private

Referenced by _readContents(), getVerticalOffset(), and WP6GraphicsBoxStylePacket().

## ◆ m_verticalPositioningFlags

unsigned char WP6GraphicsBoxStylePacket::m_verticalPositioningFlags
| private

Referenced by _readContents(), getVerticalPositioningFlags(), and WP6GraphicsBoxStylePacket().

## ◆ m_width

unsigned short WP6GraphicsBoxStylePacket::m_width
| private

Referenced by _readContents(), getWidth(), and WP6GraphicsBoxStylePacket().

## ◆ m_widthFlags

unsigned char WP6GraphicsBoxStylePacket::m_widthFlags
| private

Referenced by _readContents(), getWidthFlags(), and WP6GraphicsBoxStylePacket().

The documentation for this class was generated from the following files:

- WP6GraphicsBoxStylePacket.h
- WP6GraphicsBoxStylePacket.cpp